Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.soap.axis
Class AxisMessageRequester

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageRequester
              org.mule.transport.soap.axis.AxisMessageRequester

All Implemented Interfaces:
  Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, Connectable, MessageRequester, MessageRequesting

    public class AxisMessageRequester

extends AbstractMessageRequester

`AxisMessageDispatcher` is used to make soap requests via the Axis soap client.

Field Summary
`protected org.apache.axis.EngineConfiguration` | `clientConfig`
`protected AxisConnector` | `connector`
`protected org.apache.axis.client.Service` | `service`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, connecting, endpoint, lifecycleManager, logger, muleMessageFactory, retryTemplate, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.transport.MessageRequesting
`REQUEST_NO_WAIT, REQUEST_WAIT_INDEFINITELY`

Constructor Summary
`AxisMessageRequester(InboundEndpoint endpoint)`

Method Summary
`protected org.apache.axis.client.Service` | `createService(ImmutableEndpoint endpoint)`
`protected void` | `doConnect()`
`protected void` | `doDisconnect()`
`protected void` | `doDispose()`
`protected MuleMessage` | `doRequest(long timeout)` Make a specific request to the underlying transport
`protected org.apache.axis.EngineConfiguration` | `getClientConfig(ImmutableEndpoint endpoint)`
`MuleMessage` | `request(String endpoint, Object[] args)`
`MuleMessage` | `request(String endpoint, javax.xml.soap.SOAPEnvelope envelope)`

Methods inherited from class org.mule.transport.AbstractMessageRequester
`applyInboundTransformers, createLifecycleManager, getEndpoint, getRequesterName, getWorkManager, initialise, request`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, callDoStartWhenItIsConnected, connect, connectAndThenStart, createMuleMessage, createMuleMessage, createMuleMessage, createMuleMessageFactory, createNullMuleMessage, disconnect, dispose, disposeAndLogException, doInitialise, doStart, doStop, getConnectEventId, getConnectionDescription, getConnector, getLifecycleState, initializeMessageFactory, initializeRetryPolicy, isConnected, isConnecting, isDoStartMustFollowDoConnect, isDoThreading, isStarted, passivate, setEndpoint, start, stop, toString, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.MessageRequester
`activate, createMuleMessage, createMuleMessage, getConnector, passivate, validate`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, getConnectionDescription, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Methods inherited from interface org.mule.api.lifecycle.LifecycleStateEnabled
`getLifecycleState`

Field Detail

### clientConfig

    protected org.apache.axis.EngineConfiguration clientConfig

### connector

    protected AxisConnector connector

### service

    protected org.apache.axis.client.Service service

Constructor Detail

### AxisMessageRequester

    public AxisMessageRequester(InboundEndpoint endpoint)

Method Detail

### doConnect

    protected void doConnect()
                      throws Exception

  Overrides:
    `doConnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### doDisconnect

    protected void doDisconnect()
                         throws Exception

  Overrides:
    `doDisconnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractConnectable`

### getClientConfig

    protected org.apache.axis.EngineConfiguration getClientConfig(ImmutableEndpoint endpoint)

### createService

    protected org.apache.axis.client.Service createService(ImmutableEndpoint endpoint)
                                                    throws Exception

  Throws:
    `Exception`

### doRequest

    protected MuleMessage doRequest(long timeout)
                             throws Exception

  Make a specific request to the underlying transport

  Specified by:
    `doRequest` in class `AbstractMessageRequester`
  Parameters:
    `timeout` - the maximum time the operation should block before returning. The call should return immediately if there is data available. If no data becomes available before the timeout elapses, null will be returned
  Returns:
    the result of the request wrapped in a MuleMessage object. Null will be returned if no data was avaialable
  Throws:
    `Exception` - if the call to the underlying protocal cuases an exception

### request

    public MuleMessage request(String endpoint,
                               Object[] args)
                        throws Exception

  Throws:
    `Exception`

### request

    public MuleMessage request(String endpoint,
                               javax.xml.soap.SOAPEnvelope envelope)
                        throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.